;;; screen.lisp --- Functions for working with screen effects

;;;
;; Make the screen shake with INTENSITY and for DURATION seconds. Higher values
;; for intensity will shake the screen more.
;;
;; @param integer INTENSITY How intense the shake should be
;;
;; @return mixed Queried rule value.
(defun screen:shake (&key (intensity 2) (duration 2))
  "Make the screen shake with INTENSITY and for DURATION seconds."
  (push-screen-effect :SHAKE
                      (list :DURATION duration
                            :INTENSITY intensity)))

(defun screen:fade (&key (duration 1000) (keep-duration 0) (color 0) (inverted? nil))
  "Make the screen shake with INTENSITY and for DURATION seconds."
  (push-screen-effect :FADE
                      (list :DURATION duration
                            :KEEP-DURATION keep-duration
                            :COLOR color
                            :INVERT? inverted?)))
